Skip to main content
PUT
/
api
/
external
/
v2
/
subscription-contracts-remove-discount
Remove discount from subscription
curl --request PUT \
  --url https://membership-admin.appstle.com/api/external/v2/subscription-contracts-remove-discount
{
  "get__typename": "<string>",
  "id": "<string>",
  "createdAt": {},
  "updatedAt": {},
  "nextBillingDate": {},
  "deliveryPrice": {
    "get__typename": "<string>",
    "amount": {}
  },
  "billingPolicy": {
    "get__typename": "<string>",
    "intervalCount": 123,
    "anchors": [
      {
        "get__typename": "<string>",
        "cutoffDay": 123,
        "day": 123,
        "month": 123
      }
    ],
    "maxCycles": 123,
    "minCycles": 123
  },
  "deliveryPolicy": {
    "get__typename": "<string>",
    "intervalCount": 123,
    "anchors": [
      {
        "get__typename": "<string>",
        "cutoffDay": 123,
        "day": 123,
        "month": 123
      }
    ]
  },
  "lines": {
    "get__typename": "<string>",
    "nodes": [
      {
        "get__typename": "<string>"
      }
    ],
    "pageInfo": {
      "get__typename": "<string>",
      "hasPreviousPage": true,
      "hasNextPage": true,
      "startCursor": "<string>",
      "endCursor": "<string>"
    }
  },
  "customerPaymentMethod": {
    "get__typename": "<string>",
    "id": "<string>",
    "instrument": {
      "get__typename": "<string>"
    },
    "revokedAt": {}
  },
  "deliveryMethod": {
    "get__typename": "<string>",
    "id": "<string>",
    "serviceCode": "<string>",
    "minDeliveryDateTime": {},
    "maxDeliveryDateTime": {},
    "additionalInformation": {
      "get__typename": "<string>",
      "instructions": "<string>"
    },
    "brandedPromise": {
      "get__typename": "<string>",
      "handle": "<string>",
      "name": "<string>"
    }
  },
  "originOrder": {
    "get__typename": "<string>",
    "id": "<string>",
    "name": "<string>",
    "fulfillmentOrders": {
      "get__typename": "<string>",
      "nodes": [
        {
          "get__typename": "<string>"
        }
      ],
      "pageInfo": {
        "get__typename": "<string>",
        "hasPreviousPage": true,
        "hasNextPage": true,
        "startCursor": "<string>",
        "endCursor": "<string>"
      }
    }
  },
  "customer": {
    "get__typename": "<string>",
    "id": "<string>",
    "email": "<string>",
    "displayName": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "phone": "<string>"
  },
  "discounts": {
    "get__typename": "<string>",
    "nodes": [
      {
        "get__typename": "<string>",
        "createdAt": {},
        "deliveredAt": {},
        "estimatedDeliveryAt": {},
        "id": "<string>",
        "inTransitAt": {},
        "name": "<string>",
        "requiresShipping": true,
        "service": {
          "get__typename": "<string>",
          "handle": "<string>",
          "serviceName": "<string>"
        },
        "trackingInfo": [
          {
            "get__typename": "<string>",
            "url": {},
            "number": "<string>",
            "company": "<string>"
          }
        ]
      }
    ],
    "pageInfo": {
      "get__typename": "<string>",
      "hasPreviousPage": true,
      "hasNextPage": true,
      "startCursor": "<string>",
      "endCursor": "<string>"
    }
  },
  "note": "<string>",
  "customAttributes": [
    {
      "get__typename": "<string>",
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "billingAttempts": {
    "get__typename": "<string>",
    "nodes": [
      {
        "get__typename": "<string>",
        "completedAt": {},
        "createdAt": {},
        "id": "<string>",
        "idempotencyKey": "<string>",
        "ready": true
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

Query Parameters

contractId
integer<int64>
required

Subscription contract ID to remove discount from

api_key
string

API Key (Deprecated - Use Header X-API-Key instead)

discountId
string
required

Shopify discount ID to remove (GraphQL ID format)

Response

Discount successfully removed from subscription

get__typename
string
id
string
createdAt
object
updatedAt
object
nextBillingDate
object
status
enum<string>
Available options:
ACTIVE,
PAUSED,
CANCELLED,
EXPIRED,
FAILED,
$UNKNOWN
deliveryPrice
object
lastPaymentStatus
enum<string>
Available options:
SUCCEEDED,
FAILED,
$UNKNOWN
billingPolicy
object
deliveryPolicy
object
lines
object
customerPaymentMethod
object
deliveryMethod
object
originOrder
object
customer
object
discounts
object
note
string
customAttributes
object[]
billingAttempts
object